#ifndef DOMAIN_SCHEMA_CONNECTIONINSTANCE_H
#define DOMAIN_SCHEMA_CONNECTIONINSTANCE_H

#include "instance.h"
#include "wireinstance.h"

#include <vector>

class ConnectionInstance: AstNode
{
    Instance *instance;
    std::string pin;
    Instance *bus;
    WireInstance *wireInstance;

    std::vector<InstanceAttribute> attributes;

public:
    ConnectionInstance();
};

#endif // DOMAIN_SCHEMA_CONNECTIONINSTANCE_H
