QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    comdel/parser/assert.cpp \
    comdel/parser/astnode.cpp \
    comdel/parser/comdellexer.cpp \
    comdel/parser/comdelparser.cpp \
    comdel/parser/parsecontext.cpp \
    comdel/parser/parserutil.cpp \
    comdel/parser/sourceerror.cpp \
    comdel/parser/token.cpp \
    comdel/parser/tokenstype.cpp \
    domain/schema/connectioninstance.cpp \
    domain/schema/instance.cpp \
    domain/schema/instanceattribute.cpp \
    domain/schema/schema.cpp \
    domain/schema/wireinstance.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    comdel/parser/assert.h \
    comdel/parser/astnode.h \
    comdel/parser/comdellexer.h \
    comdel/parser/comdelparser.h \
    comdel/parser/expected.h \
    comdel/parser/parsecontext.h \
    comdel/parser/parserutil.h \
    comdel/parser/poly.h \
    comdel/parser/presult.h \
    comdel/parser/sourceerror.h \
    comdel/parser/token.h \
    comdel/parser/tokenstype.h \
    domain/schema/connectioninstance.h \
    domain/schema/instance.h \
    domain/schema/instanceattribute.h \
    domain/schema/schema.h \
    domain/schema/wireinstance.h \
    mainwindow.h

FORMS += \
    mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
